%define name		xmldb-api
%define version		20011111
%define release		2jpp
%define	section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	XML:DB API for Java
License:	BSD style
Group:		Development/Java
Source:		%{name}-%{version}.tar.gz
Url:		http://www.xmldb.org
Requires:	xalan-j2
BuildRequires:	ant
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	junit
BuildRequires:	xalan-j2
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Distribution:	JPackage
Vendor:		JPackage Project

%description
The API interfaces are what driver developers must implement when creating a
new driver and are the interfaces that applications are developed against. 
Along with the interfaces a concrete DriverManager implementation is also
provides.

%package sdk
Summary:	SDK for %{name}
Group:		Development/Java
Requires:	%{name} = %{version}-%{release}

%description sdk
The reference implementation provides a very simple file system based
implementation of the XML:DB API. This provides what is basically a very
simple native XML database that uses directories to represent collections and
just stores the XML in files.

The driver development kit provides a set of base classes that can be 
extended to simplify and speed the development of XML:DB API drivers. These
classes are used to provide the basis for the reference implementation and
therefore a simple example of how a driver can be implemented. Using the SDK
classes significantly reduces the amount of code that must be written to
create a new driver.

Along with the SDK base classes the SDK also contains a set of jUnit test
cases that can be used to help validate the driver while it is being
developed. The test cases are still in development but there are enough tests
currently to be useful.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n xmldb
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

find . -name "*.java" -exec perl -p -i -e 's|assert\(|assertTrue\(|' {} \;
perl -p -i -e 's|return result;;|return result;|' \
api/org/xmldb/api/reference/modules/XPathQueryServiceImpl.java

%build
export CLASSPATH=$(build-classpath junit xalan-j2)
usejikes=false ant -Djarname=%{name} -Dsdk.jarname=%{name}-sdk main
ant javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 644 lib/%{name}-sdk.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-sdk-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE README config.xml
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar

%files sdk
%defattr(-,root,root)
%{_javadir}/%{name}-sdk-%{version}.jar
%{_javadir}/%{name}-sdk.jar

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}

%changelog
* Mon May 05 2003 David Walluck <david@anti-microsoft.org> 0:20011111-1jpp
- update for JPackage 1.5
- fix sdk package summary
- fix for newer javac's

* Thu Mar 28 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 20011111-1jpp 
- first JPackage release
